--- chapter06/glibc.xml	2008-07-15 00:49:40.000000000 +0100
+++ ../BOOKfr/chapter06/glibc.xml	2008-07-15 00:51:57.000000000 +0100
@@ -23,10 +23,11 @@
   <sect2 role="package">
     <title/>
 
-    <para>The Glibc package contains the main C library. This library provides
-    the basic routines for allocating memory, searching directories, opening and
-    closing files, reading and writing files, string handling, pattern matching,
-    arithmetic, and so on.</para>
+    <para>Le paquet Glibc contient la bibliothque C principale. Cette bibliothque
+    fournit toutes les routines basiques pour allouer de la mmoire, rechercher des
+    rpertoires, ouvrir et fermer des fichiers, les lire et les crire, grer
+    les chanes, faire correspondre des modles, faire de l'arithmtique et
+    ainsi de suite.</para>
 
     <segmentedlist>
       <segtitle>&buildtime;</segtitle>
@@ -41,166 +42,170 @@
   </sect2>
 
   <sect2 role="installation">
-    <title>Installation of Glibc</title>
+    <title>Installation de Glibc</title>
 
     <note>
-      <para>Some packages outside of LFS suggest installing GNU libiconv in
-      order to translate data from one encoding to another. The project's
-      home page (<ulink url="http://www.gnu.org/software/libiconv/"/>) says
-      <quote>This library provides an <function>iconv()</function>
-      implementation, for use on systems which don't have one, or whose
-      implementation cannot convert from/to Unicode.</quote> Glibc provides
-      an <function>iconv()</function> implementation and can convert from/to
-      Unicode, therefore libiconv is not required on an LFS system.</para>
+      <para>Certains paquets non compris dans LFS suggrent d'installer GNU
+      libiconv pour traduire les donnes d'un codage en un autre. La page d'accueil
+      du projet (<ulink url="http://www.gnu.org/software/libiconv/"/>) prcise
+      <quote>Cette bibliothque fournit une implmentation de <function>iconv()</function>
+       utiliser sur les systmes qui n'en disposent
+      pas ou dont l'implmentation ne convertit pas l'Unicode.</quote> Glibc fournit
+      une implmentation d'<function>iconv()</function> et peut convertir de
+      l'Unicode, du coup libiconv n'est pas requis sur un systme LFS.</para>
     </note>
 
-    <para>The Glibc build system is self-contained and will install
-    perfectly, even though the compiler specs file and linker are still
-    pointing at <filename class="directory">/tools</filename>. The specs
-    and linker cannot be adjusted before the Glibc install because the
-    Glibc autoconf tests would give false results and defeat the goal
-    of achieving a clean build.</para>
-
-    <para>The glibc-libidn tarball adds support for internationalized domain
-    names (IDN) to Glibc. Many programs that support IDN require the full
-    <filename class="libraryfile">libidn</filename> library, not this add-on (see
-    <ulink url="&blfs-root;view/svn/general/libidn.html"/>).
-    Unpack the tarball from within the Glibc source directory:</para>
+    <para>Le systme de construction de la Glibc est trs bien fait et s'installe
+    parfaitement, mme si notre fichier specs pour le compilateur et l'diteur de
+    liens pointent toujours vers <filename class="directory">/tools</filename>. Les
+    specs et l'diteur de liens ne peuvent pas tre ajusts avant l'installation de
+    la Glibc parce que les tests d'autoconf de Glibc donneraient alors des
+    rsultats fausss, dfaussant ainsi notre but d'achever une construction propre.</para>
+
+    <para>L'archive tar glibc-libidn ajoute un support pour
+    les noms de domaine internationaliss (internationalized domain names, IDN) 
+     Glibc. Beaucoup de programmes qui supportent IDN exige toute la bibliothque
+    <filename class="libraryfile">libidn</filename>, non celle ajoute (add-on)
+    (voir <ulink url="&blfs-root;view/svn/general/libidn.html"/>).
+    Dballez l'archive tar depuis le rpertoire des sources de Glibc&nbsp;:</para>
 
 <screen><userinput remap="pre">tar -xvf ../glibc-libidn-&glibc-version;.tar.bz2
 mv glibc-libidn-&glibc-version; libidn</userinput></screen>
 
-    <para>In the vi_VN.TCVN locale, <command>bash</command> enters an infinite loop
-    at startup. It is unknown whether this is a <command>bash</command> bug or a
-    Glibc problem. Disable installation of this locale in order to avoid the
-    problem:</para>
+    <para>Sous la locale vi_VN.TCVN, <command>bash</command> entre dans une boucle
+    infinie au lancement. On ne sait pas s'il s'agit d'un bogue <command>bash</command>
+    ou d'un problme de Glibc. Dsactivez l'installation de cette locale afin
+    d'viter le problme&nbsp;:</para>
 
 <screen><userinput remap="pre">sed -i '/vi_VN.TCVN/d' localedata/SUPPORTED</userinput></screen>
 
-    <para>When running <command>make install</command>, a script called
-    <filename>test-installation.pl</filename> performs a small sanity test on
-    our newly installed Glibc. However, because our toolchain still points to
-    the <filename class="directory">/tools</filename> directory, the sanity
-    test would be carried out against the wrong Glibc. We can force the script
-    to check the Glibc we have just installed with the following:</para>
+    <para>Lors de l'excution de <command>make install</command>, un script appel
+    <filename>test-installation.pl</filename> opre un test de propret sur notre
+    Glibc rcemment installe. Cependant, notre ensemble d'outils pointant
+    encore vers le rpertoire
+    <filename class="directory">/tools</filename>, le test de propret pourrait
+    se fier au mauvais Glibc. Nous pouvons forcer le script  tester la Glibc que
+    nous venons d'installer en lanant ceci&nbsp;:</para>
 
 <screen><userinput remap="pre">sed -i \
 's|libs -o|libs -L/usr/lib -Wl,-dynamic-linker=/lib/ld-linux.so.2 -o|' \
         scripts/test-installation.pl</userinput></screen>
 
-    <para>The <command>ldd</command> shell script contains Bash-specific
-    syntax. Change its default program interpreter to <command>/bin/bash</command>
-    in case another <command>/bin/sh</command> is installed as described in the
+    <para>Le script shell <command>ldd</command> contient la syntaxe spcifique 
+    Bash. Changez son programme interprteur par dfaut en
+    <command>/bin/bash</command> si <command>/bin/sh</command> n'est pas install
+    comme dcrit dans le chapitre
     <ulink url="&blfs-root;view/svn/postlfs/shells.html">Shells</ulink>
-    chapter of the BLFS book:</para>
+    du livre BLFS&nbsp:</para>
 
 <screen><userinput remap="pre">sed -i 's|@BASH@|/bin/bash|' elf/ldd.bash.in</userinput></screen>
 
-    <para>The Glibc documentation recommends building Glibc outside of the source
-    directory in a dedicated build directory:</para>
+    <para>La documentation de Glibc recommande de construire Glibc en dehors du
+    rpertoire des sources dans un rpertoire de construction ddi&nbsp;:</para>
 
 <screen><userinput remap="pre">mkdir -v ../glibc-build
 cd ../glibc-build</userinput></screen>
 
-    <para>Again, add the needed compiler flag to CFLAGS:</para>
-
+    <para>Ajoutez  nouveau  CFLAGS le commutateur du compilateur requis&nbsp;:
+    
 <screen><userinput remap="configure">echo "CFLAGS += -march=i486 -mtune=native" &gt; configparms</userinput></screen>
 
-    <para>Prepare Glibc for compilation:</para>
+    <para>Prparez la compilation de Glibc&nbsp;:</para>
 
 <screen><userinput remap="configure">../glibc-&glibc-version;/configure --prefix=/usr \
     --disable-profile --enable-add-ons \
     --enable-kernel=2.6.0 --libexecdir=/usr/lib/glibc</userinput></screen>
 
     <variablelist>
-      <title>The meaning of the new configure options:</title>
+      <title>Voici la signification des options de configure&nbsp;:</title>
 
       <varlistentry>
         <term><parameter>--libexecdir=/usr/lib/glibc</parameter></term>
         <listitem>
-          <para>This changes the location of the <command>pt_chown</command>
-          program from its default of <filename
-          class="directory">/usr/libexec</filename> to <filename
-          class="directory">/usr/lib/glibc</filename>.</para>
+          <para>Ceci modifie l'emplacement du programme
+          <command>pt_chown</command>, par dfaut
+          <filename class="directory">/usr/libexec</filename>, par
+          <filename class="directory">/usr/lib/glibc</filename>.</para>
         </listitem>
       </varlistentry>
 
     </variablelist>
 
-    <para>Compile the package:</para>
+    <para>Compilez le paquet&nbsp;:</para>
 
 <screen><userinput remap="make">make</userinput></screen>
 
     <important>
-      <para>In this section, the test suite for Glibc is considered critical.
-      Do not skip it under any circumstance.</para>
+      <para>Dans cette section, la suite de tests de Glibc est considre
+      comme critique. Ne la sautez sous aucun prtexte.</para>
     </important>
 
-    <para>Test the results:</para>
+    <para>Testez les rsultats&nbsp;:</para>
 
 <screen><userinput remap="test">make -k check 2&gt;&amp;1 | tee glibc-check-log
 grep Error glibc-check-log</userinput></screen>
 
-    <para>You will probably see an expected (ignored) failure in the
-    <emphasis>posix/annexc</emphasis> test.  In addition the Glibc test suite
-    is somewhat dependent on the host system.  This is a list of the most
-    common issues:</para>
+    <para>Vous verrez probablement un chec attendu (ignor) lors des tests de
+    <emphasis>posix/annexc</emphasis>. En outre, La suite de tests Glibc est 
+    quelque peu dpendante du systme hte. Voici une liste des problmes les 
+    plus frquents&nbsp;:</para>
 
     <itemizedlist>
       <!-- Check again after updating from gcc-4.1.x -->
       <listitem>
-        <para>The <emphasis>nptl/tst-cancel1</emphasis> test will fail when
-        using the 4.1 series of GCC.</para>
+        <para>Le test <emphasis>nptl/tst-cancel1</emphasis> chouera si vous
+        utilisez les sries 4.1 de GCC.</para>
       </listitem>
       <!-- Was true in glibc-2.3.6 -->
       <listitem>
-        <para>The <emphasis>nptl/tst-clock2</emphasis> and
-        <emphasis>tst-attr3</emphasis> tests sometimes
-        fail.  The reason is not completely understood, but indications
-        are that a heavy system load can trigger these failures.</para>
+        <para>Les tests <emphasis>nptl/tst-clock2</emphasis> et
+        <emphasis>tst-attr3</emphasis> chouent parfois. On n'a pas encore
+        totalement compris la raison, mais des indications laissent penser qu'une
+        charge systme lourde peut provoquer ces checs.</para>
       </listitem>
       <listitem>
-        <para>The math tests sometimes fail when running on
-        systems where the CPU is not a relatively new genuine Intel or
-        authentic AMD processor.</para>
+        <para>Les tests <emphasis>math</emphasis> chouent quelque fois lors de
+        leur excution sur des systmes o le processeur n'est pas un Intel ou un AMD
+        authentique.</para>
       </listitem>
       <listitem>
-        <para>If you have mounted the LFS partition with the
-        <parameter>noatime</parameter> option, the <emphasis>atime</emphasis>
-        test will fail. As mentioned in <xref linkend="space-mounting"/>, do not
-        use the <parameter>noatime</parameter> option while building LFS.</para>
+        <para>Si vous avez mont la partition LFS avec l'option
+        <parameter>noatime</parameter>, le test <emphasis>atime</emphasis>
+        chouera. Comme mentionn dans <xref linkend="space-mounting"/>,
+        n'utilisez pas l'option <parameter>noatime</parameter> lors de la construction de LFS.</para>
       </listitem>
       <listitem>
-        <para>When running on older and slower hardware or on systems under
-        load, some tests can fail because of test timeouts being exceeded.</para>
+        <para>Lors d'une excution sur un matriel ancien et lent, quelques
+        tests peuvent chouer  cause de dlais dpasss.</para>
       </listitem>
     </itemizedlist>
 
-    <para>Though it is a harmless message, the install stage of Glibc will
-    complain about the absence of <filename>/etc/ld.so.conf</filename>.
-    Prevent this warning with:</para>
+    <para>Bien que ce ne soit qu'un simple message, l'tape d'installation de
+    Glibc se plaindra de l'absence de <filename>/etc/ld.so.conf</filename>.
+    Supprimez ce message d'avertissement avec&nbsp;:</para>
 
 <screen><userinput remap="install">touch /etc/ld.so.conf</userinput></screen>
 
-    <para>Install the package:</para>
+    <para>Installez le paquet&nbsp;:</para>
 
 <screen><userinput remap="install">make install</userinput></screen>
 
-    <para>The locales that can make the system respond in a different language
-    were not installed by the above command. None of the locales are required,
-    but if some of them are missing, testsuites of the future packages would
-    skip important testcases.</para>
-
-    <para>Individual locales can be installed using the
-    <command>localedef</command> program. E.g., the first
-    <command>localedef</command> command below combines the
-    <filename>/usr/share/i18n/locales/de_DE</filename>
-    charset-independent locale definition with the
-    <filename>/usr/share/i18n/charmaps/ISO-8859-1.gz</filename>
-    charmap definition and appends the result to the
-    <filename>/usr/lib/locale/locale-archive</filename> file.
-    The following instructions will install the minimum set of
-    locales necessary for the optimal coverage of tests:</para>
+    <para>Les locales qui permettent  votre systme de rpondre en une langue
+    diffrente n'ont pas t installes avec la commande ci-dessus. Aucune
+    n'est indispensable, mais si certaines sont absentes, les suites de test
+    des futurs paquets peuvent sauter des situations de test importantes&nbsp.</para>
+
+    <para>Vous pouvez installer les locales individuelles en utilisant le
+    programme <command>localedef</command> Par exemple, la premire commande
+    <command>localedef</command> command ci-dessous combine la dfinition
+    de la locale du codage indpendant 
+    <filename>/usr/share/i18n/locales/de_DE</filename> avec la dfinition
+    de la page de codes 
+    <filename>/usr/share/i18n/charmaps/ISO-8859-1.gz</filename> et envoie le
+    rsultat vers le fichier 
+    <filename>/usr/lib/locale/locale-archive</filename>.
+    Les instructions suivantes installeront les paramtres minimums des locales
+    ncessaires pour le droulement optimal des tests&nbsp;:</para>
 
 <screen role="nodump"><userinput remap="locale-test">mkdir -pv /usr/lib/locale
 localedef -i de_DE -f ISO-8859-1 de_DE
@@ -217,27 +222,27 @@
 localedef -i it_IT -f ISO-8859-1 it_IT
 localedef -i ja_JP -f EUC-JP ja_JP</userinput></screen>
 
-    <para>In addition, install the locale for your own country, language and
-    character set.</para>
+    <para>En outre, installez la locale de votre pays, de votre langue et de votre
+    codage.</para>
 
-    <para>Alternatively, install all locales listed in the
-    <filename>glibc-&glibc-version;/localedata/SUPPORTED</filename> file
-    (it includes every locale listed above and many more) at once with the
-    following time-consuming command:</para>
+    <para>Vous pouvez alternativement installer les locales listes dans le fichier
+    <filename>glibc-&glibc-version;/localedata/SUPPORTED</filename> (il inclut
+    toutes les locales cites ci-dessus et d'autres) en une fois avec la commande
+    suivante qui permet de gagner du temps&nbsp;:</para>
 
 <screen><userinput remap="locale-full">make localedata/install-locales</userinput></screen>
 
-    <para>Then use the <command>localedef</command> command to create and
-    install locales not listed in the
-    <filename>glibc-&glibc-version;/localedata/SUPPORTED</filename> file
-    in the unlikely case if you need them.</para>
+    <para>Puis utilisez la commande <command>localedef</command> pour crer
+    et installer les locales non listes dans le fichier
+    <filename>glibc-&glibc-version;/localedata/SUPPORTED</filename> dans le cas
+    peu probable o vous en auriez besoin.</para>
     <!-- The Live CD patches the localedata/SUPPORTED file instead of
     running localedef, the results are equivalent -->
 
   </sect2>
 
   <sect2 id="conf-glibc" role="configuration">
-    <title>Configuring Glibc</title>
+    <title>Configurer Glibc</title>
 
     <indexterm zone="conf-glibc">
       <primary sortas="e-/etc/nsswitch.conf">/etc/nsswitch.conf</primary>
@@ -247,13 +252,14 @@
       <primary sortas="e-/etc/localtime">/etc/localtime</primary>
     </indexterm>
 
-    <para>The <filename>/etc/nsswitch.conf</filename> file needs to be created
-    because, although Glibc provides defaults when this file is missing or corrupt,
-    the Glibc defaults do not work well in a networked environment. The time zone
-    also needs to be configured.</para>
+    <para>Le fichier <filename>/etc/nsswitch.conf</filename> doit tre cr
+    parce que, bien que Glibc en fournisse un par dfaut lorsque ce fichier est
+    manquant ou corrompu, les valeurs par dfaut de Glibc ne fonctionnent pas bien
+    dans un environnement en rseau. De plus, le fuseau horaire a besoin d'tre
+    configur.</para>
 
-    <para>Create a new file <filename>/etc/nsswitch.conf</filename> by running the
-    following:</para>
+    <para>Crez un nouveau fichier <filename>/etc/nsswitch.conf</filename> en
+    lanant ce qui suit&nbsp;:</para>
 
 <screen><userinput>cat &gt; /etc/nsswitch.conf &lt;&lt; "EOF"
 <literal># Begin /etc/nsswitch.conf
@@ -273,39 +279,40 @@
 # End /etc/nsswitch.conf</literal>
 EOF</userinput></screen>
 
-    <para>One way to determine the local time zone, run the following
-    script:</para>
+    <para>Pour dterminer dans quel fuseau horaire vous vous situez, lancez le
+    script suivant&nbsp;:</para>
 
 <screen role="nodump"><userinput>tzselect</userinput></screen>
 
-    <para>After answering a few questions about the location, the script will
-    output the name of the time zone (e.g.,
-    <emphasis>America/Edmonton</emphasis>). There are also some other possible
-    timezones listed in <filename
-    class='directory'>/usr/share/zoneinfo</filename> such as
-    <emphasis>Canada/Eastern</emphasis> or <emphasis>EST5EDT</emphasis> that
-    are not identified by the script but can be used.</para>
+    <para>Aprs avoir rpondu  quelques questions sur votre emplacement, le
+    script affichera le nom du fuseau horaire (quelque chose comme
+    <emphasis>America/Edmonton</emphasis>). Il y a aussi d'autres fuseaux
+    horaires lists dans
+    <filename class='directory'>/usr/share/zoneinfo</filename> comme
+    <emphasis>Canada/Eastern</emphasis> ou <emphasis>EST5EDT</emphasis> qui ne
+    sont pas identifis par le script mais qui peuvent tre utiliss.</para>
 
-    <para>Then create the <filename>/etc/localtime</filename> file by
-    running:</para>
+    <para>Puis crez le fichier <filename>/etc/localtime</filename> en lanant&nbsp;:</para>
 
 <screen><userinput>cp -v --remove-destination /usr/share/zoneinfo/<replaceable>&lt;xxx&gt;</replaceable> \
     /etc/localtime</userinput></screen>
 
-    <para>Replace <replaceable>&lt;xxx&gt;</replaceable> with the name of the
-    time zone selected (e.g., Canada/Eastern).</para>
+    <para>Remplacez <replaceable>&lt;xxx&gt;</replaceable> par le nom du fuseau horaire
+    slectionn (par exemple Canada/Eastern).</para>
 
     <variablelist>
-      <title>The meaning of the cp option:</title>
+      <title>Voici la signification de l'option de cp&nbsp;:</title>
 
       <varlistentry>
         <term><parameter>--remove-destination</parameter></term>
         <listitem>
-          <para>This is needed to force removal of the already existing symbolic
-          link. The reason for copying the file instead of using a symlink is to
-          cover the situation where <filename class="directory">/usr</filename>
-          is on a separate partition. This could be important when booted into
-          single user mode.</para>
+          <para>Ceci est ncessaire pour forcer la suppression du lien
+          symbolique dj existant. La raison pour laquelle nous copions plutt que de
+          simplement crer un lien symbolique est de se couvrir de la situation o
+          <filename class="directory">/usr</filename>
+          serait une partition spare. Ceci
+          pourrait arriver, par exemple, en dmarrant en mode
+          utilisateur unique.</para>
         </listitem>
       </varlistentry>
 
@@ -314,28 +321,29 @@
   </sect2>
 
   <sect2 id="conf-ld" role="configuration">
-    <title>Configuring the Dynamic Loader</title>
+    <title>Configurer le chargeur dynamique</title>
 
     <indexterm zone="conf-ld">
       <primary sortas="e-/etc/ld.so.conf">/etc/ld.so.conf</primary>
     </indexterm>
 
-    <para>By default, the dynamic loader (<filename
-    class="libraryfile">/lib/ld-linux.so.2</filename>) searches through
-    <filename class="directory">/lib</filename> and <filename
-    class="directory">/usr/lib</filename> for dynamic libraries that are
-    needed by programs as they are run. However, if there are libraries in
-    directories other than <filename class="directory">/lib</filename> and
-    <filename class="directory">/usr/lib</filename>, these need to be added
-    to the <filename>/etc/ld.so.conf</filename> file in order for the
-    dynamic loader to find them. Two directories that are commonly known
-    to contain additional libraries are <filename
-    class="directory">/usr/local/lib</filename> and <filename
-    class="directory">/opt/lib</filename>, so add those directories to the
-    dynamic loader's search path.</para>
+    <para>Par dfaut, le chargeur dynamique 
+    (<filename class="libraryfile">/lib/ld-linux.so.2</filename>) cherche dans
+    <filename class="directory">/lib</filename> et 
+    <filename class="directory">/usr/lib</filename> les bibliothques
+    partages ncessaires aux programmes lors de leur excution. Nanmoins, s'il existe des bibliothques
+    dans d'autres rpertoires que
+    <filename class="directory">/lib</filename> et
+    <filename class="directory">/usr/lib</filename>, leur emplacement doit tre
+    ajout dans le fichier <filename>/etc/ld.so.conf</filename> pour que le
+    chargeur dynamique les trouve.
+    <filename class="directory">/usr/local/lib</filename> et
+    <filename class="directory">/opt/lib</filename> sont deux rpertoires connus pour
+    contenir des bibliothques supplmentaires, donc ajoutez ces deux
+    rpertoires au chemin de recherche du chargeur dynamique.</para>
 
-    <para>Create a new file <filename>/etc/ld.so.conf</filename> by running the
-    following:</para>
+    <para>Crez un nouveau fichier <filename>/etc/ld.so.conf</filename>
+    en lanant ce qui suit&nbsp;:</para>
 
 <screen><userinput>cat &gt; /etc/ld.so.conf &lt;&lt; "EOF"
 <literal># Begin /etc/ld.so.conf
@@ -349,37 +357,37 @@
   </sect2>
 
   <sect2 id="contents-glibc" role="content">
-    <title>Contents of Glibc</title>
+    <title>Contenu de Glibc</title>
 
     <segmentedlist>
-      <segtitle>Installed programs</segtitle>
-      <segtitle>Installed libraries</segtitle>
+      <segtitle>Programmes installs</segtitle>
+      <segtitle>Bibliothques installes</segtitle>
 
       <seglistitem>
         <seg>catchsegv, gencat, getconf, getent, iconv, iconvconfig, ldconfig,
         ldd, lddlibc4, locale, localedef, mtrace, nscd, pcprofiledump,
         pt_chown, rpcgen, rpcinfo, sln, sprof, tzselect, xtrace,
-        zdump, and zic</seg>
+        zdump et zic</seg>
         <seg>ld.so, libBrokenLocale.{a,so}, libSegFault.so, libanl.{a,so},
         libbsd-compat.a, libc.{a,so}, libcidn.so, libcrypt.{a,so}, libdl.{a,so},
         libg.a, libieee.a, libm.{a,so}, libmcheck.a, libmemusage.so,
         libnsl.{a,so},  libnss_compat.so, libnss_dns.so, libnss_files.so,
         libnss_hesiod.so, libnss_nis.so, libnss_nisplus.so, libpcprofile.so,
         libpthread.{a,so}, libresolv.{a,so}, librpcsvc.a, librt.{a,so},
-        libthread_db.so, and libutil.{a,so}</seg>
+        libthread_db.so et libutil.{a,so}</seg>
       </seglistitem>
     </segmentedlist>
 
     <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <bridgehead renderas="sect3">Descriptions courtes</bridgehead>
       <?dbfo list-presentation="list"?>
       <?dbhtml list-presentation="table"?>
 
       <varlistentry id="catchsegv">
         <term><command>catchsegv</command></term>
         <listitem>
-          <para>Can be used to create a stack trace when a program
-          terminates with a segmentation fault</para>
+          <para>Peut tre utilis pour crer une trace de la pile lorsqu'un programme
+          s'arrte avec une erreur de segmentation</para>
           <indexterm zone="ch-system-glibc catchsegv">
             <primary sortas="b-catchsegv">catchsegv</primary>
           </indexterm>
@@ -389,7 +397,7 @@
       <varlistentry id="gencat">
         <term><command>gencat</command></term>
         <listitem>
-          <para>Generates message catalogues</para>
+          <para>Gnre des catalogues de messages</para>
           <indexterm zone="ch-system-glibc gencat">
             <primary sortas="b-gencat">gencat</primary>
           </indexterm>
@@ -399,8 +407,8 @@
       <varlistentry id="getconf">
         <term><command>getconf</command></term>
         <listitem>
-          <para>Displays the system configuration values for file system
-          specific variables</para>
+          <para>Affiche les valeurs de configuration du systme pour les variables
+          spcifiques du systme de fichiers</para>
           <indexterm zone="ch-system-glibc getconf">
             <primary sortas="b-getconf">getconf</primary>
           </indexterm>
@@ -410,7 +418,7 @@
       <varlistentry id="getent">
         <term><command>getent</command></term>
         <listitem>
-          <para>Gets entries from an administrative database</para>
+          <para>Rcupre les entres  partir d'une base de donnes administrative</para>
           <indexterm zone="ch-system-glibc getent">
             <primary sortas="b-getent">getent</primary>
           </indexterm>
@@ -420,7 +428,7 @@
       <varlistentry id="iconv">
         <term><command>iconv</command></term>
         <listitem>
-          <para>Performs character set conversion</para>
+          <para>Ralise une conversion de l'ensemble des caractres</para>
           <indexterm zone="ch-system-glibc iconv">
             <primary sortas="b-iconv">iconv</primary>
           </indexterm>
@@ -430,8 +438,7 @@
       <varlistentry id="iconvconfig">
         <term><command>iconvconfig</command></term>
         <listitem>
-          <para>Creates fastloading <command>iconv</command> module configuration
-          files</para>
+          <para>Cre des fichiers de configuration pour le module <command>iconv</command></para>
           <indexterm zone="ch-system-glibc iconvconfig">
             <primary sortas="b-iconvconfig">iconvconfig</primary>
           </indexterm>
@@ -441,7 +448,7 @@
       <varlistentry id="ldconfig">
         <term><command>ldconfig</command></term>
         <listitem>
-          <para>Configures the dynamic linker runtime bindings</para>
+          <para>Configure les liens du chargeur dynamique</para>
           <indexterm zone="ch-system-glibc ldconfig">
             <primary sortas="b-ldconfig">ldconfig</primary>
           </indexterm>
@@ -451,8 +458,8 @@
       <varlistentry id="ldd">
         <term><command>ldd</command></term>
         <listitem>
-          <para>Reports which shared libraries are required
-          by each given program or shared library</para>
+          <para>Indique les bibliothques partages requises pour chaque programme ou
+          bibliothque partage</para>
           <indexterm zone="ch-system-glibc ldd">
             <primary sortas="b-ldd">ldd</primary>
           </indexterm>
@@ -462,7 +469,7 @@
       <varlistentry id="lddlibc4">
         <term><command>lddlibc4</command></term>
         <listitem>
-          <para>Assists <command>ldd</command> with object files</para>
+          <para>Assiste <command>ldd</command> avec des fichiers objets</para>
           <indexterm zone="ch-system-glibc lddlibc4">
             <primary sortas="b-lddlibc4">lddlibc4</primary>
           </indexterm>
@@ -472,28 +479,8 @@
       <varlistentry id="locale">
         <term><command>locale</command></term>
         <listitem>
-          <para>Prints various information about the current locale</para>
-          <indexterm zone="ch-system-glibc locale">
-            <primary sortas="b-locale">locale</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="localedef">
-        <term><command>localedef</command></term>
-        <listitem>
-          <para>Compiles locale specifications</para>
-          <indexterm zone="ch-system-glibc localedef">
-            <primary sortas="b-localedef">localedef</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="mtrace">
-        <term><command>mtrace</command></term>
-        <listitem>
-          <para>Reads and interprets a memory trace file and displays a summary
-          in human-readable format</para>
+          <para>Lit et interprte un fichier de trace mmoire et affiche un rsum dans
+          un format lisible par un humain</para>
           <indexterm zone="ch-system-glibc mtrace">
             <primary sortas="b-mtrace">mtrace</primary>
           </indexterm>
@@ -503,8 +490,8 @@
       <varlistentry id="nscd">
         <term><command>nscd</command></term>
         <listitem>
-          <para>A daemon that provides a cache for the most common name
-          service requests</para>
+          <para>Un dmon pour les services de noms fournissant un cache pour les requtes
+          les plus communes</para>
           <indexterm zone="ch-system-glibc nscd">
             <primary sortas="b-nscd">nscd</primary>
           </indexterm>
@@ -514,7 +501,7 @@
       <varlistentry id="pcprofiledump">
         <term><command>pcprofiledump</command></term>
         <listitem>
-          <para>Dumps information generated by PC profiling</para>
+          <para>Affiche des informations gnres par un profilage du PC</para>
           <indexterm zone="ch-system-glibc pcprofiledump">
             <primary sortas="b-pcprofiledump">pcprofiledump</primary>
           </indexterm>
@@ -524,8 +511,8 @@
       <varlistentry id="pt_chown">
         <term><command>pt_chown</command></term>
         <listitem>
-          <para>A helper program for <command>grantpt</command> to set the owner,
-          group and access permissions of a slave pseudo terminal</para>
+          <para>Un programme d'aide pour que <command>grantpt</command> initialise les
+          droits des propritaires, groupes et autres d'un pseudo-terminal esclave</para>
           <indexterm zone="ch-system-glibc pt_chown">
             <primary sortas="b-pt_chown">pt_chown</primary>
           </indexterm>
@@ -535,8 +522,8 @@
       <varlistentry id="rpcgen">
         <term><command>rpcgen</command></term>
         <listitem>
-          <para>Generates C code to implement the Remote Procecure Call (RPC)
-          protocol</para>
+          <para>Gnre du code C pour implmenter le protocole RPC (<foreignphrase>Remote
+          Procedure Call</foreignphrase>)</para>
           <indexterm zone="ch-system-glibc rpcgen">
             <primary sortas="b-rpcgen">rpcgen</primary>
           </indexterm>
@@ -546,7 +533,7 @@
       <varlistentry id="rpcinfo">
         <term><command>rpcinfo</command></term>
         <listitem>
-          <para>Makes an RPC call to an RPC server</para>
+          <para>Fait un appel RPC  un serveur RPC</para>
           <indexterm zone="ch-system-glibc rpcinfo">
             <primary sortas="b-rpcinfo">rpcinfo</primary>
           </indexterm>
@@ -556,7 +543,7 @@
       <varlistentry id="sln">
         <term><command>sln</command></term>
         <listitem>
-          <para>A statically linked <command>ln</command> program</para>
+          <para>Un programme <command>ln</command> li statiquement</para>
           <indexterm zone="ch-system-glibc sln">
             <primary sortas="b-sln">sln</primary>
           </indexterm>
@@ -566,7 +553,7 @@
       <varlistentry id="sprof">
         <term><command>sprof</command></term>
         <listitem>
-          <para>Reads and displays shared object profiling data</para>
+          <para>Lit et affiche les donnes de profilage des objets partags</para>
           <indexterm zone="ch-system-glibc sprof">
             <primary sortas="b-sprof">sprof</primary>
           </indexterm>
@@ -576,8 +563,8 @@
       <varlistentry id="tzselect">
         <term><command>tzselect</command></term>
         <listitem>
-          <para>Asks the user about the location of the system and reports
-          the corresponding time zone description</para>
+          <para>Demande  l'utilisateur l'emplacement gographique du systme et donne la
+          description du fuseau horaire correspondante</para>
           <indexterm zone="ch-system-glibc tzselect">
             <primary sortas="b-tzselect">tzselect</primary>
           </indexterm>
@@ -587,8 +574,8 @@
       <varlistentry id="xtrace">
         <term><command>xtrace</command></term>
         <listitem>
-          <para>Traces the execution of a program by printing the currently
-          executed function</para>
+          <para>Trace l'excution d'un programme en affichant la fonction en cours
+          d'excution</para>
           <indexterm zone="ch-system-glibc xtrace">
             <primary sortas="b-xtrace">xtrace</primary>
           </indexterm>
@@ -598,7 +585,7 @@
       <varlistentry id="zdump">
         <term><command>zdump</command></term>
         <listitem>
-          <para>The time zone dumper</para>
+          <para>Afficheur de fuseau horaire</para>
           <indexterm zone="ch-system-glibc zdump">
             <primary sortas="b-zdump">zdump</primary>
           </indexterm>
@@ -608,7 +595,7 @@
       <varlistentry id="zic">
         <term><command>zic</command></term>
         <listitem>
-          <para>The time zone compiler</para>
+          <para>Compilateur de fuseau horaire</para>
           <indexterm zone="ch-system-glibc zic">
             <primary sortas="b-zic">zic</primary>
           </indexterm>
@@ -618,7 +605,7 @@
       <varlistentry id="ld.so">
         <term><filename class="libraryfile">ld.so</filename></term>
         <listitem>
-          <para>The helper program for shared library executables</para>
+          <para>Le programme d'aide des bibliothques partages excutables</para>
           <indexterm zone="ch-system-glibc ld.so">
             <primary sortas="c-ld.so">ld.so</primary>
           </indexterm>
@@ -628,10 +615,10 @@
       <varlistentry id="libBrokenLocale">
         <term><filename class="libraryfile">libBrokenLocale</filename></term>
         <listitem>
-          <para>Used internally by Glibc as a gross hack to get broken programs
-          (e.g., some Motif applications) running. See comments in
+          <para>Utilis en interne par Glibc comme une arme grossire pour rsoudre les locales
+          casses (comme certaines applications Motif). Voir les commentaires dans
           <filename>glibc-&glibc-version;/locale/broken_cur_max.c</filename>
-          for more information</para>
+          pour plus d'informations</para>
           <indexterm zone="ch-system-glibc libBrokenLocale">
             <primary sortas="c-libBrokenLocale">libBrokenLocale</primary>
           </indexterm>
@@ -641,8 +628,8 @@
       <varlistentry id="libSegFault">
         <term><filename class="libraryfile">libSegFault</filename></term>
         <listitem>
-          <para>The segmentation fault signal handler, used by
-          <command>catchsegv</command></para>
+          <para>Un gestionnaire de signaux d'erreurs de segmentation, utilis
+          par <command>catchsegv</command></para>
           <indexterm zone="ch-system-glibc libSegFault">
             <primary sortas="c-libSegFault">libSegFault</primary>
           </indexterm>
@@ -652,7 +639,7 @@
       <varlistentry id="libanl">
         <term><filename class="libraryfile">libanl</filename></term>
         <listitem>
-          <para>An asynchronous name lookup library</para>
+          <para>Une bibliothque asynchrone de recherche de noms</para>
           <indexterm zone="ch-system-glibc libanl">
             <primary sortas="c-libanl">libanl</primary>
           </indexterm>
@@ -662,8 +649,8 @@
       <varlistentry id="libbsd-compat">
         <term><filename class="libraryfile">libbsd-compat</filename></term>
         <listitem>
-          <para>Provides the portability needed in order to run certain
-          Berkeley Software Distribution (BSD) programs under Linux</para>
+          <para>Fournit la portabilit ncessaire pour faire fonctionner certains
+          programmes BSD (Berkeley Software Distribution) sous Linux</para>
           <indexterm zone="ch-system-glibc libbsd-compat">
             <primary sortas="c-libbsd-compat">libbsd-compat</primary>
           </indexterm>
@@ -673,7 +660,7 @@
       <varlistentry id="libc">
         <term><filename class="libraryfile">libc</filename></term>
         <listitem>
-          <para>The main C library</para>
+          <para>La principale bibliothque C</para>
           <indexterm zone="ch-system-glibc libc">
             <primary sortas="c-libc">libc</primary>
           </indexterm>
@@ -683,8 +670,9 @@
       <varlistentry id="libcidn">
         <term><filename class="libraryfile">libcidn</filename></term>
         <listitem>
-          <para>Used internally by Glibc for handling internationalized domain
-          names in the <function>getaddrinfo()</function> function</para>
+          <para>Utilis en interne par Glibc pour la gestion des noms de
+          domaine internationaliss dans la fonction
+          <function>getaddrinfo()</function></para>
           <indexterm zone="ch-system-glibc libcrypt">
             <primary sortas="c-libcrypt">libcrypt</primary>
           </indexterm>
@@ -694,7 +682,7 @@
       <varlistentry id="libcrypt">
         <term><filename class="libraryfile">libcrypt</filename></term>
         <listitem>
-          <para>The cryptography library</para>
+          <para>La bibliothque de chiffrement</para>
           <indexterm zone="ch-system-glibc libcrypt">
             <primary sortas="c-libcrypt">libcrypt</primary>
           </indexterm>
@@ -704,7 +692,7 @@
       <varlistentry id="libdl">
         <term><filename class="libraryfile">libdl</filename></term>
         <listitem>
-          <para>The dynamic linking interface library</para>
+          <para>La bibliothque de l'interface du chargeur dynamique</para>
           <indexterm zone="ch-system-glibc libdl">
             <primary sortas="c-libdl">libdl</primary>
           </indexterm>
@@ -714,8 +702,9 @@
       <varlistentry id="libg">
         <term><filename class="libraryfile">libg</filename></term>
         <listitem>
-          <para>Dummy library containing no functions. Previously was a runtime
-          library for <command>g++</command></para>
+          <para>Bibliothque factice ne contenant aucune fonction.
+          C'tait auparavant une bibliothque d'excution pour
+          <command>g++</command></para>
           <indexterm zone="ch-system-glibc libg">
             <primary sortas="c-libg">libg</primary>
           </indexterm>
@@ -725,9 +714,11 @@
       <varlistentry id="libieee">
         <term><filename class="libraryfile">libieee</filename></term>
         <listitem>
-          <para>Linking in this module forces error handling rules for math
-          functions as defined by the Institute of Electrical and Electronic
-          Engineers (IEEE). The default is POSIX.1 error handling</para>
+          <para>Un lien vers ce module provoque volontairement des rgles de
+          gestion d'erreur pour les fonctions math telles que dfinies par les
+          <foreignphrase>Institute of Electrical and Electronic
+          Engineers</foreignphrase> (IEEE). Le paramtre par dfaut est la gestion de l'erreur
+          POSIX.1</para>
           <indexterm zone="ch-system-glibc libieee">
             <primary sortas="c-libieee">libieee</primary>
           </indexterm>
@@ -737,7 +728,7 @@
       <varlistentry id="libm">
         <term><filename class="libraryfile">libm</filename></term>
         <listitem>
-          <para>The mathematical library</para>
+          <para>La bibliothque mathmatique</para>
           <indexterm zone="ch-system-glibc libm">
             <primary sortas="c-libm">libm</primary>
           </indexterm>
@@ -747,7 +738,8 @@
       <varlistentry id="libmcheck">
         <term><filename class="libraryfile">libmcheck</filename></term>
         <listitem>
-          <para>Turns on memory allocation checking when linked to</para>
+          <para>Active le test d'allocation de mmoire lorsqu'on y relie
+          quelque chose</para>
           <indexterm zone="ch-system-glibc libmcheck">
             <primary sortas="c-libmcheck">libmcheck</primary>
           </indexterm>
@@ -757,8 +749,8 @@
       <varlistentry id="libmemusage">
         <term><filename class="libraryfile">libmemusage</filename></term>
         <listitem>
-          <para>Used by <command>memusage</command> to help collect
-          information about the memory usage of a program</para>
+          <para>Utilis par <command>memusage</command> pour aider  la rcupration
+          d'informations sur l'utilisation de la mmoire par un programme</para>
           <indexterm zone="ch-system-glibc libmemusage">
             <primary sortas="c-libmemusage">libmemusage</primary>
           </indexterm>
@@ -768,7 +760,7 @@
       <varlistentry id="libnsl">
         <term><filename class="libraryfile">libnsl</filename></term>
         <listitem>
-          <para>The network services library</para>
+          <para>La bibliothque de services rseau</para>
           <indexterm zone="ch-system-glibc libnsl">
             <primary sortas="c-libnsl">libnsl</primary>
           </indexterm>
@@ -778,9 +770,9 @@
       <varlistentry id="libnss">
         <term><filename class="libraryfile">libnss</filename></term>
         <listitem>
-          <para>The Name Service Switch libraries, containing functions for
-          resolving host names, user names, group names, aliases, services,
-          protocols, etc.</para>
+          <para>Les bibliothques <quote>Name Service Switch</quote>, contenant des
+          fonctions de rsolution de noms d'htes, de noms d'utilisateurs, de noms de
+          groupes, d'alias, de services, de protocoles et ainsi de suite<</para>
           <indexterm zone="ch-system-glibc libnss">
             <primary sortas="c-libnss">libnss</primary>
           </indexterm>
@@ -790,8 +782,8 @@
       <varlistentry id="libpcprofile">
         <term><filename class="libraryfile">libpcprofile</filename></term>
         <listitem>
-          <para>Contains profiling functions used to track the amount of CPU
-          time spent in specific source code lines</para>
+          <para>Contient des fonctions de profilage utilises pour tracer le temps CPU
+          dpens sur les lignes de code source</para>
           <indexterm zone="ch-system-glibc libpcprofile">
             <primary sortas="c-libpcprofile">libpcprofile</primary>
           </indexterm>
@@ -801,7 +793,7 @@
       <varlistentry id="libpthread">
         <term><filename class="libraryfile">libpthread</filename></term>
         <listitem>
-          <para>The POSIX threads library</para>
+          <para>La bibliothque threads POSIX</para>
           <indexterm zone="ch-system-glibc libpthread">
             <primary sortas="c-libpthread">libpthread</primary>
           </indexterm>
@@ -811,8 +803,8 @@
       <varlistentry id="libresolv">
         <term><filename class="libraryfile">libresolv</filename></term>
         <listitem>
-          <para>Contains functions for creating, sending, and interpreting
-          packets to the Internet domain name servers</para>
+          <para>Contient des fonctions de cration, d'envoi et d'interprtation de
+          paquets pour les serveurs de noms de domaine Internet</para>
           <indexterm zone="ch-system-glibc libresolv">
             <primary sortas="c-libresolv">libresolv</primary>
           </indexterm>
@@ -822,7 +814,7 @@
       <varlistentry id="librpcsvc">
         <term><filename class="libraryfile">librpcsvc</filename></term>
         <listitem>
-          <para>Contains functions providing miscellaneous RPC services</para>
+          <para>Contient des fonctions apportant diffrents services RPC</para>
           <indexterm zone="ch-system-glibc librpcsvc">
             <primary sortas="c-librpcsvc">librpcsvc</primary>
           </indexterm>
@@ -832,8 +824,8 @@
       <varlistentry id="librt">
         <term><filename class="libraryfile">librt</filename></term>
         <listitem>
-          <para>Contains functions providing most of the interfaces specified
-          by the POSIX.1b Realtime Extension</para>
+          <para>Contient des fonctions fournissant la plupart des interfaces spcifies
+          par l'extension temps rel de POSIX.1b</para>
           <indexterm zone="ch-system-glibc librt">
             <primary sortas="c-librt">librt</primary>
           </indexterm>
@@ -843,8 +835,8 @@
       <varlistentry id="libthread_db">
         <term><filename class="libraryfile">libthread_db</filename></term>
         <listitem>
-          <para>Contains functions useful for building debuggers for
-          multi-threaded programs</para>
+          <para>Contient des fonctions utiles pour construire des dbogueurs de programmes
+          multi-threads</para>
           <indexterm zone="ch-system-glibc libthread_db">
             <primary sortas="c-libthread_db">libthread_db</primary>
           </indexterm>
@@ -854,8 +846,8 @@
       <varlistentry id="libutil">
         <term><filename class="libraryfile">libutil</filename></term>
         <listitem>
-          <para>Contains code for <quote>standard</quote> functions used in
-          many different Unix utilities</para>
+          <para>Contient du code pour les fonctions <quote>standard</quote>
+          utilises par de nombreux outils Unix</para>
           <indexterm zone="ch-system-glibc libutil">
             <primary sortas="c-libutil">libutil</primary>
           </indexterm>
